#ifndef __RELATION_H
#include <relation.h>
#endif

#ifndef __UTILITY_H
#include <utility.h>
#endif

#ifndef __EXPR_H
#include <expr.h>
#endif

#ifndef __SHEET_H
#include <sheet.h>
#endif

class TCursor_sheet_RecNo : public TCursor_sheet
{
  TBit_array _recnos;

protected:
    virtual bool on_key(KEY k);
public:    
  TCursor_sheet_RecNo(TCursor * cursor, const char* fields,
            const char * title, const char * head, byte buttons = 0); 
  virtual ~TCursor_sheet_RecNo() {}
  bool rec_checked(TRecnotype n)  { return _recnos[n]; }
  void rec_check(TRecnotype n, bool on = TRUE) ;
  void rec_uncheck(TRecnotype n) { rec_check(n,FALSE); }      
};


